summaryrefslogtreecommitdiffstats
path: root/games/pcgen
diff options
context:
space:
mode:
author klaatu <klaatu@member.fsf.org>2017-08-14 12:24:26 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-08-19 07:10:38 +0700
commit632ade93a091e5771392d4d2c24ddaa1d614819e (patch)
treecfca48bb12164f69c437c539b0274b2176a8a349 /games/pcgen
parentea837431d1ff3abbb7d7821ab033c86fd2c9c175 (diff)
downloadslackbuilds-632ade93a091e5771392d4d2c24ddaa1d614819e.tar.gz
slackbuilds-632ade93a091e5771392d4d2c24ddaa1d614819e.tar.xz
games/pcgen: Added (RPG character generator).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/pcgen')
-rw-r--r--games/pcgen/README10
-rw-r--r--games/pcgen/doinst.sh3
-rw-r--r--games/pcgen/pcgen.SlackBuild58
-rw-r--r--games/pcgen/pcgen.desktop76
-rw-r--r--games/pcgen/pcgen.info10
-rw-r--r--games/pcgen/slack-desc19
6 files changed, 176 insertions, 0 deletions
diff --git a/games/pcgen/README b/games/pcgen/README
new file mode 100644
index 0000000000..463923ea51
--- /dev/null
+++ b/games/pcgen/README
@@ -0,0 +1,10 @@
+PCGen helps you build characters for role-playing games like
+[Pathfinder](http://paizo.com/pathfinderRPG) and
+[D&D](http://dnd.wizards.com).
+
+It's like a character sheet that handles all the tricky and tedious
+parts of building characters. You can use it to build one character
+for yourself, or to keep track of a dozen NPCs for a game world.
+
+PCGen is a volunteer project, so it's free of charge and always will
+be.
diff --git a/games/pcgen/doinst.sh b/games/pcgen/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/pcgen/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/pcgen/pcgen.SlackBuild b/games/pcgen/pcgen.SlackBuild
new file mode 100644
index 0000000000..468ba9de78
--- /dev/null
+++ b/games/pcgen/pcgen.SlackBuild
@@ -0,0 +1,58 @@
+#!/bin/sh
+# Slackware build script for pcgen
+# Copyright 2017 klaatu @ member.fsf.org
+#
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=pcgen
+VERSION=${VERSION:-"6.06.01"}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH="noarch"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+unzip $CWD/"$PRGNAM"-"$VERSION"-full.zip -d $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/
+mv $PRGNAM $PKG/opt/$PRGNAM
+
+# patch for launcher
+tr -d '\r' < $PKG/opt/$PRGNAM/$PRGNAM.sh > $PKG/opt/$PRGNAM/$PRGNAM-launch.sh
+mv $PKG/opt/$PRGNAM/$PRGNAM-launch.sh $PKG/opt/$PRGNAM/$PRGNAM.sh
+
+# desktop file, added to SlackBuild for convenience
+mkdir -p $PKG/usr/share/applications/
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/pcgen/pcgen.desktop b/games/pcgen/pcgen.desktop
new file mode 100644
index 0000000000..10135b3412
--- /dev/null
+++ b/games/pcgen/pcgen.desktop
@@ -0,0 +1,76 @@
+[Desktop Entry]
+Name=pcgen
+Name[af]=pcgen
+Name[as]=pcgen
+Name[ast]=pcgen
+Name[be]=pcgen
+Name[be@latin]=pcgen
+Name[bg]=pcgen
+Name[bn_IN]=pcgen
+Name[ca]=pcgen
+Name[ca@valencia]=pcgen
+Name[cs]=pcgen
+Name[csb]=pcgen
+Name[da]=pcgen
+Name[de]=pcgen
+Name[el]=pcgen
+Name[en_GB]=pcgen
+Name[eo]=pcgen
+Name[es]=pcgen
+Name[et]=pcgen
+Name[eu]=pcgen
+Name[fi]=pcgen
+Name[fr]=pcgen
+Name[ga]=pcgen
+Name[gl]=pcgen
+Name[he]=pcgen
+Name[hr]=pcgen
+Name[hsb]=pcgen
+Name[hu]=pcgen
+Name[ia]=pcgen
+Name[id]=pcgen
+Name[is]=pcgen
+Name[it]=pcgen
+Name[ja]=pcgen
+Name[ka]=pcgen
+Name[kk]=pcgen
+Name[km]=pcgen
+Name[ko]=pcgen
+Name[ku]=pcgen
+Name[lt]=pcgen
+Name[lv]=pcgen
+Name[ms]=pcgen
+Name[nb]=pcgen
+Name[nds]=pcgen
+Name[nl]=pcgen
+Name[nn]=pcgen
+Name[oc]=pcgen
+Name[pl]=pcgen
+Name[pt]=pcgen
+Name[pt_BR]=pcgen
+Name[ro]=pcgen
+Name[ru]=pcgen
+Name[se]=pcgen
+Name[sk]=pcgen
+Name[sl]=pcgen
+Name[sr@ijekavianlatin]=pcgen
+Name[sr@latin]=pcgen
+Name[sv]=pcgen
+Name[tg]=pcgen
+Name[tr]=pcgen
+Name[ug]=pcgen
+Name[uk]=pcgen
+Name[uz]=pcgen
+Name[uz@cyrillic]=pcgen
+Name[vi]=pcgen
+Name[wa]=pcgen
+Name[x-test]=xxpcgenxx
+Name[zh_CN]=pcgen
+Name[zh_TW]=pcgen
+Exec=sh /opt/pcgen/pcgen.sh
+Icon=/opt/pcgen/system/sponsors/pcgen/pcgen_128x128.png
+Type=Application
+Categories=Java;Game;BoardGame;
+GenericName=PCGen
+GenericName[x-test]=xxPCGenxx
+Terminal=false
diff --git a/games/pcgen/pcgen.info b/games/pcgen/pcgen.info
new file mode 100644
index 0000000000..7dc60627b5
--- /dev/null
+++ b/games/pcgen/pcgen.info
@@ -0,0 +1,10 @@
+PRGNAM="pcgen"
+VERSION="6.06.01"
+HOMEPAGE="https://sourceforge.net/projects/pcgen/"
+DOWNLOAD="https://downloads.sourceforge.net/project/pcgen/PCGen%20Stable/6.06.01/pcgen-6.06.01-full.zip"
+MD5SUM="8ccdff5eed070afd478f3af522f54072"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jdk"
+MAINTAINER="klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/games/pcgen/slack-desc b/games/pcgen/slack-desc
new file mode 100644
index 0000000000..e757b7901c
--- /dev/null
+++ b/games/pcgen/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pcgen: pcgen (RPG character generator)
+pcgen:
+pcgen: PCGen is a character creator and tracking application for Pathfinder
+pcgen: and Dungeons & Dragons role-playing games (RPG).
+pcgen:
+pcgen: http://pcgen.org
+pcgen:
+pcgen:
+pcgen:
+pcgen:
+pcgen: